Subject: Re: [sieve] I-D Action:draft-ietf-sieve-include-06.txt

From: Dilyan Palauzov <[email-masked]>
Date: Fri, 27 Aug 2010 23:32:35 +0200

Hello,

my comments:

Section 3.2, par. 2
  MUST default -> defaults (sounds better to me)

Section 3.2 page 8, personal script "always_allow"

I suggest to rewrite the example as
   ...
   if header :is "From" ["[email-masked]", "[email-masked]"]
   {
     keep;
   }
instead of keeping it
   if header :is "From" "[email-masked]"
   {
     keep;
   }
   elseif header :is "From" "[email-masked]"
   {
     keep;
   }

as it is shorter and I guess this is the way header is supposed to be used.
\

Section 3.2, page 9, example personal script spam_tests
I suggest rewriting the example as
   if anyof(header :contain "Subject" "XXXX",
            header :is "From" "[email-masked]")
   { keep; }
because this is what anyof is good for.

Section, page 9, site script spam_tests
I suggest rewriting it to

if header :contains "Subject" ["$$", "Make money"]
{ reject; }

instead of
if anyof(header :contains "Subject" "$$",
          header :contains "Subject" "Make money")
{ reject; }

This is the way I thing scripts shall be written, but for the example  
purposes in the draft, the current wording might be fine.

Greetings, Dilian

----- Message from [email-masked] ---------
     Date: Mon, 26 Jul 2010 01:30:05 -0700 (PDT)
     From: [email-masked]
  Subject: [sieve] I-D Action:draft-ietf-sieve-include-06.txt
       To: [email-masked]
       Cc: [email-masked]

> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
> This draft is a work item of the Sieve Mail Filtering Language  
> Working Group of the IETF.
>
>
> 	Title           : Sieve Email Filtering: Include Extension
> 	Author(s)       : C. Daboo, A. Stone
> 	Filename        : draft-ietf-sieve-include-06.txt
> 	Pages           : 14
> 	Date            : 2010-07-26
>
> The Sieve Email Filtering "include" extension permits users to
> include one Sieve script inside another.  This can make managing
> large scripts or multiple sets of scripts much easier, and allows a
> site and its users to build up libraries of scripts.  Users are able
> to include their own personal scripts or site-wide scripts.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-sieve-include-06.txt
>
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>

----- End message from [email-masked] -----

---

From: Jeffrey Hutzelman <[email-masked]>
Date: Mon, 30 Aug 2010 18:00:25 -0400

>   MUST default -> defaults (sounds better to me)

It may sound better, but the existing text uses RFC2119 requirements 
language to impose a specific behavior, whereas your replacement may be 
taken as merely descriptive.

> purposes in the draft, the current wording might be fine.

I don't think it's necessary to rewrite any of the examples.  The examples 
in question are not a SIEVE style guide; they serve to illustrate the 
behavior of the include extension.

-- Jeff